Bug 1661154 - when boot windows 2019 guest with "-device qxl,id=vga1,addr=0x05 -device qxl,id=video1,addr=0x06" mouse only has response at fixed area,when move cursor to other area to click mouse, cursor is back to fixed area--Fast Train.
Summary: when boot windows 2019 guest with "-device qxl,id=vga1,addr=0x05 -device qxl,...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux Advanced Virtualization
Classification: Red Hat
Component: qemu-kvm
Version: ---
Hardware: x86_64
OS: Windows
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Gerd Hoffmann
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-20 08:21 UTC by liunana
Modified: 2019-02-22 22:10 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-10 06:43:07 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description liunana 2018-12-20 08:21:11 UTC
Description of problem:
when boot windows 2019 guest with "-device qxl,id=vga1,addr=0x05 -device qxl,id=video1,addr=0x06" mouse only has response at fixed area,when move cursor to other area to click mouse cursor is back to fixed area.This bug can be reproduced with latest version(1809) windows 10 guest


Version-Release number of selected component (if applicable):
(host)
# uname -r
4.18.0-56.el8.x86_64

# rpm -qa | grep qemu
qemu-kvm-block-iscsi-3.1.0-1.module+el8+2538+1516be75.x86_64
qemu-kvm-block-gluster-3.1.0-1.module+el8+2538+1516be75.x86_64
qemu-kvm-block-ssh-3.1.0-1.module+el8+2538+1516be75.x86_64
qemu-kvm-block-rbd-3.1.0-1.module+el8+2538+1516be75.x86_64
qemu-kvm-block-curl-3.1.0-1.module+el8+2538+1516be75.x86_64
qemu-kvm-3.1.0-1.module+el8+2538+1516be75.x86_64
qemu-kvm-common-3.1.0-1.module+el8+2538+1516be75.x86_64
qemu-guest-agent-3.1.0-1.module+el8+2538+1516be75.x86_64
qemu-kvm-core-3.1.0-1.module+el8+2538+1516be75.x86_64
qemu-img-3.1.0-1.module+el8+2538+1516be75.x86_64

(guest)
iso version:  en_windows_server_2019_x64_dvd_4cb967d8.iso
virtio-win:   virtio-win-prewhql-0.1-163.iso


How reproducible:100%


Steps to Reproduce:
1. boot windows 2019 guest or latest version(1809) windows 10 guest with commands[1]
2. operate mouse
3.

Actual results: mouse only has response at fixed area,when move cursor to other area to click mouse, cursor is back to fixed area.


Expected results: guest works well without no error, mouse can be operated normally.


Additional info:
[1]
/usr/libexec/qemu-kvm -name win10 -M pc -enable-kvm \
    -cpu SandyBridge \
    -monitor stdio \
    -nodefaults -rtc base=utc \
    -m 4G \
    -smp 2,sockets=4,cores=1,threads=1,maxcpus=4 \
    -global isa-debugcon.iobase=0x402 \
    -object secret,id=sec0,data=redhat \
    -drive file=/home/2-w10-pc/luks.qcow2,encrypt.format=luks,encrypt.key-secret=sec0,if=none,id=drive_image1,snapshot=off,aio=threads,cache=none,format=qcow2 -device virtio-blk-pci,id=image1,drive=drive_image1,bootindex=1 \
    -device virtio-net-pci,mac=70:5a:0f:38:cd:d3,id=idhRa7sf,vectors=4,netdev=idNIlYmb -netdev tap,id=idNIlYmb,vhost=on \
    -drive id=drive_cd1,if=none,snapshot=off,aio=threads,cache=none,media=cdrom,file=/home/2-w10-pc/virtio-win-prewhql-0.1-163.iso \
    -device ide-cd,id=cd1,drive=drive_cd1,bus=ide.0,unit=0 \
    -device ich9-usb-uhci6 \
    -device usb-tablet,id=mouse \
    -device qxl,id=vga1,addr=0x05 \
    -device qxl,id=video1,addr=0x06 \
    -spice port=5900,disable-ticketing \
    -device virtio-serial-pci,id=virtio-serial1 \
    -chardev spicevmc,id=charchannel0,name=vdagent \
    -device virtserialport,bus=virtio-serial1.0,nr=3,chardev=charchannel0,id=channel0,name=com.redhat.spice.0 \

Comment 1 Gerd Hoffmann 2019-01-10 06:43:07 UTC
(In reply to liunana from comment #0)
> Description of problem:
> when boot windows 2019 guest with "-device qxl,id=vga1,addr=0x05 -device
> qxl,id=video1,addr=0x06" mouse only has response at fixed area,when move
> cursor to other area to click mouse cursor is back to fixed area.This bug
> can be reproduced with latest version(1809) windows 10 guest

The qxl version with vga support is "-device qxl-vga", you should use that for the primary display.


Note You need to log in before you can comment on or make changes to this bug.